#
# spec file for package startup-notification (Version 0.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-common gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           startup-notification
BuildRequires:  gnome-common xorg-x11-devel
URL:            http://www.freedesktop.org/wiki/Software_2fstartup_2dnotification
%define prefix /usr
License:        GPL
Group:          System/X11/Utilities
Autoreqprov:    on
Version:        0.8
Release:        20.2
Summary:        Reference Implementation for the Startup-Notification Protocol
Source:         startup-notification-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Startup-notification contains a reference implementation of the
startup-notification protocol.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%debug_package
%prep
%setup -n startup-notification-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake -c -a -f
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make 

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/usr/%_lib
make install DESTDIR=$RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/X11/Utilities
Requires:       startup-notification = %{version}
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Havoc Pennington <hp@redhat.com>


%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*a
%{prefix}/include/startup-notification-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n startup-notification
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 27 2005 - mls@suse.de
- move so symlink to devel package
- make devel package require base package
* Thu Jan 20 2005 - gekker@suse.de
- Update to version 0.8
* Thu Dec 16 2004 - gekker@suse.de
- Update to version 0.7
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Thu Apr 29 2004 - ro@suse.de
- added -fno-strict-aliasing
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 0.5
* Thu Jan 23 2003 - meissner@suse.de
- lib64 fix.
* Thu Jan 16 2003 - hhetter@suse.de
- initial SuSE package
